<div class="loading" *ngIf='status_loading'>Loading&#8230;</div>
<div class="modal-content">
  <div class="modal-body">
    <div style="width: 100%;">
      <img class="modal-close" src="assets/img/x.png" (click)="close()" />
    </div>
    <div class="header_detail">
      <a>เพิ่มผู้ดำเนินการ</a>
      <br />
      <div>
        <br />
        <label class="step1-header">ขั้นตอนที่ 1. เลือกประเภทผู้ดำเนินการที่ต้องการ</label>
      </div>
      <label class="sub-step1">เลือกประเภทผู้ดำเนินการ</label>

      <select class="browser-default form-control sub-step1" [(ngModel)]="selectedtype" (ngModelChange)="addOfficer()">
        <option value="" selected disabled>เลือกประเภทผู้ดำเนินการ</option>
        <option value="creators">ผู้จัดทำใบคำขอหลัก (Creater)</option>
        <option value="co_creators">ผู้ช่วยจัดทำใบคำขอ (Co-Creater)</option>
        <option value="departments">ผู้บริหารฝ่าย</option>
        <option value="groups">ผู้บริหารกลุ่ม</option>
        <option value="divisions">ผู้บริหารสาย</option>
      </select>
      <br />
      <hr />

      <div>
        <br />
        <label class="step1-header">ขั้นตอนที่ 2. ค้นหาพนักงาน</label>
      </div>
      <label class="style-font">ค้นหาพนักงาน</label>
      <span class="input-control">
        <input class="form-control search_office style-font" type="text"
          placeholder="ค้นหาได้จากชื่อ นามสกุล หรือรหัสพนักงาน" aria-label="test" [formControl]="myControl"
          [matAutocomplete]="auto" (ngModelChange)="input_search($event)" />

        <mat-autocomplete #auto="matAutocomplete">
          <mat-option (onSelectionChange)="option_change($event, option)" *ngFor="let option of filteredOptions | async"
            [value]="option.empeNo">
            <div class="d-flex">
              <div style="width: 120px;">{{ option.empeNo }}</div>
              {{ option.ttlNmTh }}{{ option.empeNmTh }} &nbsp;
              {{ option.empeLstNmTh }} &nbsp; <a *ngIf="option.role !== 'Retail'">{{option.role}}</a>
              <a *ngIf="option.role === 'Retail'">Retail Shared Services</a>-{{option.roleLevel}}
            </div>
          </mat-option>
        </mat-autocomplete>

        <img (click)="search_text($event)" class="imgg" src="assets/img/search-icon.png" />
        <span class="loading-spin-warpper" *ngIf="loadingSpin">
          <mat-spinner class="loading-spin" diameter="20"></mat-spinner>
        </span>
      </span>
      <label class="text_alert">{{text_alert}}</label>
      <br />
      <div class="d-flex">
        <div class="step2-1">
          <label class="style-font">รหัสพนักงาน</label>
          <input [(ngModel)]="id_officer" class="form-control gray style-font" style="height: 48px;"
            placeholder="รหัสพนักงาน" disabled />
        </div>
        <div class="step2-2">
          <label class="style-font">ชื่อ - นามสกุล</label>
          <input [(ngModel)]="name_officer" class="form-control gray style-font" style="height: 48px;"
            placeholder="ชื่อ - นามสกุล" disabled />
        </div>
      </div>

      <div *ngIf="isEmpowerStatus">
        <br />
        <hr />
        <br />
        <label class="step1-header">ขั้นตอนที่ 3. แนบเอกสารมอบอำนาจ</label>
      </div>

      <!-- ----------------------------------------- อัปโหลดเอกสาร -------------------------------------------------- -->

      <div *ngIf="isEmpowerStatus">
        <div class="row">
          <div class="col-12">
            <label class="head-detal">อัปโหลดเอกสาร</label>
          </div>

          <div class="col-12">
            <div class="dropzone">
              <input class="form-control" type="file" #fileDropRef id="fileDropRef" multiple
                (change)="onSelectFile($event); " />
              <img src="../../../../../assets/img/upload-icon.png" style="margin-bottom: 5px;" />
              <a style="font-size: 18px; color: #00a6e6;"
                for="fileDropRef">&nbsp;เลือกเอกสารที่ต้องการอัปโหลดหรือลากและวางไฟล์เอกสารที่นี่</a>
            </div>
          </div>
          <div class="col-12">
            <div class="table-responsives">
              <table mat-table [dataSource]="dataSource_file">
                <!-- Position Column -->
                <ng-container matColumnDef="name">
                  <th mat-header-cell *matHeaderCellDef>ชื่อไฟล์</th>
                  <td mat-cell *matCellDef="let element">
                    <div class="class-name">{{ element.fileName }}</div>
                  </td>
                </ng-container>

                <!-- Name Column -->
                <ng-container matColumnDef="size">
                  <th mat-header-cell *matHeaderCellDef>ขนาดไฟล์</th>
                  <td mat-cell *matCellDef="let element">{{ (element.fileSize / 1024).toFixed(2) + ' KB' }}</td>
                </ng-container>

                <!-- Name Column -->
                <ng-container matColumnDef="delete">
                  <th mat-header-cell *matHeaderCellDef></th>
                  <td mat-cell *matCellDef="let element; let index = index">
                    <a class="download_file" *ngIf="downloadfile_by[index] === 'path'"
                      (click)="downloadFile(element.path)">ดาวน์โหลดไฟล์</a>
                    <a class="download_file" *ngIf="downloadfile_by[index] === 'base64'"
                      (click)="downloadFile64(element)">ดาวน์โหลดไฟล์</a>
                    <a class="pipe">|</a>
                    <a class="delete_file" (click)="delete_mutifile(element, index)">ลบไฟล์</a>
                  </td>
                </ng-container>

                <tr mat-header-row *matHeaderRowDef="displayedColumns_file"></tr>
                <tr mat-row *matRowDef="let row; columns: displayedColumns_file"></tr>
              </table>
            </div>
          </div>

        </div>
      </div>
    </div>
    <br>
    <div class="footer-modal add-user">
      <button class="btn btn-primary add-user-btn sub-step1" data-dismiss="modal" (click)="open_add_modal()"
        [disabled]="allowSave ? false : true">
        เพิ่มผู้ดำเนินการ
      </button>
    </div>
  </div>
</div>